mod models;

pub enum Error
{
    PostgresError(tokio_postgres::Error),
    DtoError(anyhow::Error),
}

impl From<tokio_postgres::Error> for Error {
    fn from(value: tokio_postgres::Error) -> Self {
        Error::PostgresError(value)
    }
}

impl From<anyhow::Error> for Error {
    fn from(value: anyhow::Error) -> Self {
        Error::DtoError(value)
    }
}

pub use models::finnhub;
pub use models::riback;
